VERSION 4.00
Begin VB.Form CipherForm 
   Caption         =   "Cipher"
   ClientHeight    =   3375
   ClientLeft      =   555
   ClientTop       =   1095
   ClientWidth     =   9735
   Height          =   3780
   Left            =   495
   LinkTopic       =   "Form1"
   ScaleHeight     =   3375
   ScaleWidth      =   9735
   Top             =   750
   Width           =   9855
   Begin VB.TextBox txtCiphertext 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3375
      Left            =   5520
      MultiLine       =   -1  'True
      TabIndex        =   5
      Top             =   0
      Width           =   4215
   End
   Begin VB.TextBox txtKey 
      Height          =   285
      Left            =   4800
      TabIndex        =   4
      Text            =   "13"
      Top             =   840
      Width           =   615
   End
   Begin VB.CommandButton cmdDecrypt 
      Caption         =   "<-- Decrypt"
      Height          =   495
      Left            =   4320
      TabIndex        =   2
      Top             =   2040
      Width           =   1095
   End
   Begin VB.TextBox txtPlaintext 
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3375
      Left            =   0
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "Bad15.frx":0000
      Top             =   0
      Width           =   4215
   End
   Begin VB.CommandButton cmdEncrypt 
      Caption         =   "Encrypt -->"
      Height          =   495
      Left            =   4320
      TabIndex        =   0
      Top             =   1320
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Key"
      Height          =   255
      Left            =   4320
      TabIndex        =   3
      Top             =   840
      Width           =   375
   End
End
Attribute VB_Name = "CipherForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' Encrypt the input text.
Private Sub Crypt(ByVal txtIn As TextBox, ByVal txtOut As TextBox, ByVal key As Integer)
Const MIN_ASC = 32  ' ASCII code for space.
Const MAX_ASC = 126 ' ASCII code for ~.
Const NUM_ASC = MAX_ASC - MIN_ASC + 1

Dim i As Integer
Dim ch As String
Dim ch_num As String

    txtOut.Text = ""
    For i = 1 To Len(txtIn.Text)
        ch = Mid$(txtIn.Text, i, 1)
        ch_num = Asc(ch)
        ' Translate only printable characters.
        If ch_num >= MIN_ASC And ch_num <= MAX_ASC Then
            ch_num = ch_num + key - MIN_ASC
            ch_num = (ch_num Mod NUM_ASC)
            If ch_num < 0 Then ch_num = ch_num + NUM_ASC
            ch_num = ch_num + MIN_ASC
        End If
        ch = Chr$(ch_num)
        txtOut.Text = txtOut.Text & ch
    Next i
End Sub

' Encrypt the text by adding the key number
' to each character's ASCII code.
Private Sub cmdEncrypt_Click()
    txtCiphertext.Text = ""
    MousePointer = vbHourglass
    DoEvents

    Crypt txtPlaintext, txtCiphertext, Int(txtKey.Text)

    MousePointer = vbDefault
End Sub
' Encrypt the text by subtracting the key number
' from each character's ASCII code.
Private Sub cmdDecrypt_Click()
    txtPlaintext.Text = ""
    MousePointer = vbHourglass
    DoEvents

    Crypt txtCiphertext, txtPlaintext, -Int(txtKey.Text)

    MousePointer = vbDefault
End Sub


