VERSION 4.00
Begin VB.Form RatioForm 
   Caption         =   "Ratios"
   ClientHeight    =   1200
   ClientLeft      =   1620
   ClientTop       =   1545
   ClientWidth     =   5160
   Height          =   1605
   Left            =   1560
   LinkTopic       =   "Form1"
   ScaleHeight     =   1200
   ScaleWidth      =   5160
   Top             =   1200
   Width           =   5280
   Begin VB.TextBox txtB 
      Height          =   285
      Left            =   480
      TabIndex        =   4
      Text            =   "0"
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox txtA 
      Height          =   285
      Left            =   480
      TabIndex        =   3
      Text            =   "100"
      Top             =   240
      Width           =   1215
   End
   Begin VB.CommandButton cmdCalculate 
      Caption         =   "Calculate"
      Height          =   495
      Left            =   1920
      TabIndex        =   0
      Top             =   360
      Width           =   1215
   End
   Begin VB.Label lblAOverB 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   3840
      TabIndex        =   6
      Top             =   480
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "A/B"
      Height          =   255
      Index           =   2
      Left            =   3360
      TabIndex        =   5
      Top             =   480
      Width           =   375
   End
   Begin VB.Label Label1 
      Caption         =   "B"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   2
      Top             =   600
      Width           =   255
   End
   Begin VB.Label Label1 
      Caption         =   "A"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   1
      Top             =   240
      Width           =   255
   End
End
Attribute VB_Name = "RatioForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False


Option Explicit

' Calculate the ratio of A / B.
Private Sub cmdCalculate_Click()
Dim A As Single
Dim B As Single
Dim A_over_B As Single

    On Error GoTo RaiseErrorError

    A = CSng(txtA.Text)
    B = CSng(txtB.Text)
    A_over_B = A / B
    lblAOverB.Caption = Format$(A_over_B, "0.000")
    Exit Sub

RaiseErrorError:
    ' Blank the result.
    lblAOverB.Caption = ""

    ' See what kind of error it was.
    Select Case Err.Number
        Case 11
            ' Divide by zero.
            MsgBox "B must not be zero."
            Exit Sub

        Case 13
            ' Type mismatch.
            MsgBox "Both arguments must be numeric."
            Exit Sub

        Case Else
            ' Tell the user we failed.
            MsgBox "Error calculating ratio."

            ' Save an error message.
            SaveErrorToFile _
                "Error " & Format$(Err.Number) & _
                " in FileError.cmdRaiseError_Click." & _
                vbCrLf & Err.Description
    End Select
End Sub
' Append mail to an error log file.
Public Sub SaveErrorToFile(ByVal txt1 As String)
Const FILE_DIRECTORY = "C:\Errors"
Const BACKUP_DIRECTORY = "C:\"
Const FILE_SUFFIX = ".txt"
Dim file_prefix As String
Dim file_name As String
Dim fnum As Integer
Dim trial As Integer
Dim txt2 As String
Dim file_open As Boolean

    On Error GoTo SaveErrorToFileError
    
    ' See if the error directory exists.
    If Dir(FILE_DIRECTORY) <> "" Then
        file_prefix = FILE_DIRECTORY & "err"
    Else
        file_prefix = BACKUP_DIRECTORY & "err"
        txt1 = txt1 & vbCrLf & _
            "Warning: Directory " & _
            FILE_DIRECTORY & _
            " does not exist. Using " & _
            BACKUP_DIRECTORY & "."
    End If

    ' Find a file name we can use.
    trial = 1
    Do
        ' Compute the next name to try.
        file_name = file_prefix & _
            Format$(trial) & FILE_SUFFIX

        ' See if the file exists.
        If Dir(file_name) = "" Then Exit Do
        trial = trial + 1
    Loop
    
    ' Open the file.
    fnum = FreeFile
    Open file_name For Output As #fnum
    file_open = True

    ' Write the date and time, and the error message.
    Print #fnum, Now
    Print #fnum, txt1
    Print #fnum, "**********"

    ' Close the file.
    Close #fnum
    Exit Sub

SaveErrorToFileError:
    ' There was an error saving to the file.
    ' Just display the message.
    txt2 = "Error " & Format$(Err.Number) & _
        " saving error message to file." & _
        vbCrLf & Err.Description
    MsgBox txt2 & vbCrLf & vbCrLf & txt1

    ' Close the file if it is open.
    If file_open Then Close #fnum
    Exit Sub
End Sub
