VERSION 4.00
Begin VB.Form StackDumpForm 
   Caption         =   "StackDump"
   ClientHeight    =   5655
   ClientLeft      =   1095
   ClientTop       =   1530
   ClientWidth     =   4320
   Height          =   6060
   Left            =   1035
   LinkTopic       =   "Form1"
   ScaleHeight     =   5655
   ScaleWidth      =   4320
   Top             =   1185
   Width           =   4440
   Begin VB.OptionButton optError 
      Caption         =   "Sub_A_2"
      Height          =   255
      Index           =   5
      Left            =   600
      TabIndex        =   8
      Top             =   1920
      Width           =   1695
   End
   Begin VB.OptionButton optError 
      Caption         =   "Sub_A_1_1"
      Height          =   255
      Index           =   4
      Left            =   840
      TabIndex        =   7
      Top             =   1560
      Width           =   1695
   End
   Begin VB.OptionButton optError 
      Caption         =   "Sub_A_1"
      Height          =   255
      Index           =   3
      Left            =   600
      TabIndex        =   6
      Top             =   1200
      Width           =   1695
   End
   Begin VB.OptionButton optError 
      Caption         =   "Sub_A"
      Height          =   255
      Index           =   2
      Left            =   360
      TabIndex        =   5
      Top             =   840
      Width           =   1695
   End
   Begin VB.OptionButton optError 
      Caption         =   "(none)"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Value           =   -1  'True
      Width           =   1695
   End
   Begin VB.OptionButton optError 
      Caption         =   "cmdExecute_Click"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   1695
   End
   Begin VB.TextBox txtResults 
      BackColor       =   &H00C0C0C0&
      Height          =   2535
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   3120
      Width           =   4335
   End
   Begin VB.CommandButton cmdExecute 
      Caption         =   "Execute"
      Height          =   495
      Left            =   1560
      TabIndex        =   0
      Top             =   2280
      Width           =   1215
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Results"
      Height          =   255
      Left            =   0
      TabIndex        =   2
      Top             =   2880
      Width           =   4335
   End
End
Attribute VB_Name = "StackDumpForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False


Option Explicit

' ComboBox indexes.
Private Const errCmdExecute = 1
Private Const errSub_A = 2
Private Const errSub_A_1 = 3
Private Const errSub_A_1_1 = 4
Private Const errSub_A_2 = 5

Private Sub Sub_A()
Dim txt As String

    On Error GoTo Sub_A_Error
    
    txt = "In Sub_A"

    If optError(errSub_A).Value Then Err.Raise 9

    Sub_A_1
    Sub_A_2
    Exit Sub

Sub_A_Error:
    ' Save our information and start or continue
    ' a stack dump.
    AddToErrorStack True, "Sub_A", "txt", txt
End Sub
Private Sub Sub_A_1()
Dim txt As String

    On Error GoTo Sub_A_1_Error
    
    txt = "In Sub_A_1"
    
    If optError(errSub_A_1).Value Then Err.Raise 9
    
    Sub_A_1_1
    Exit Sub

Sub_A_1_Error:
    ' Save our information and start or continue
    ' a stack dump.
    AddToErrorStack True, "Sub_A_1", "txt", txt
End Sub
Private Sub Sub_A_1_1()
Dim txt As String

    On Error GoTo Sub_A_1_1_Error
   
    txt = "In Sub_A_1_1"
    
    If optError(errSub_A_1_1).Value Then Err.Raise 9
    
    Exit Sub

Sub_A_1_1_Error:
    ' Save our information and start or continue
    ' a stack dump.
    AddToErrorStack True, "Sub_A_1_1", "txt", txt
End Sub
Private Sub Sub_A_2()
Dim txt As String

    On Error GoTo Sub_a_2_Error
    
    txt = "In Sub_A_2"
    
    If optError(errSub_A_2).Value Then Err.Raise 9
    
    Exit Sub

Sub_a_2_Error:
    ' Save our information and start or continue
    ' a stack dump.
    AddToErrorStack True, "Sub_A_2", "txt", txt
End Sub

' Clear txtResults and execute Sub_A. If there is
' an error, display the results in txtResults.
Private Sub cmdExecute_Click()
Dim txt As String

    On Error GoTo ExecuteError
    
    txtResults.Text = ""

    txt = "In cmdExecute"

    If optError(errCmdExecute).Value Then Err.Raise 9
    
    Sub_A
    
    txtResults.Text = "Ok"
    Exit Sub

ExecuteError:
    ' Save our information but do not reraise
    ' the stack dump error.
    AddToErrorStack False, "cmdExecute", "txt", txt

    ' Display the stack dump. This resets the stack.
    txtResults.Text = ErrorStackText
    Exit Sub
End Sub

Private Sub Form_Resize()
Dim hgt As Single

    hgt = ScaleHeight - txtResults.Top
    If hgt < 120 Then hgt = 120
    txtResults.Height = hgt
    txtResults.Width = ScaleWidth
    Label1.Width = ScaleWidth
    cmdExecute.Left = (ScaleWidth - cmdExecute.Width) / 2
End Sub


