VERSION 4.00
Begin VB.Form Plot 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Plot"
   ClientHeight    =   3690
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   5835
   Height          =   4095
   Left            =   1080
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3690
   ScaleWidth      =   5835
   Top             =   1170
   Width           =   5955
End
Attribute VB_Name = "Plot"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit




' Plot values on a form's background.
Private Sub PlotValues(values() As Integer)
Dim min_value As Integer
Dim max_value As Integer
Dim num_items As Integer
Dim i As Integer

    ' Verify that there are between 10 and 50 items.
    num_items = UBound(values) - LBound(values) + 1
    If num_items < 10 Or num_items > 50 Then Stop

    ' Find the minimum and maximum values.
    min_value = LBound(values)
    max_value = min_value
    For i = LBound(values) + 1 To UBound(values)
        If min_value > values(i) Then min_value = values(i)
        If max_value < values(i) Then max_value = values(i)
    Next i

    ' Set the form's scale properties.
    ScaleLeft = LBound(values) - 1
    ScaleWidth = UBound(values) - ScaleLeft
    ScaleTop = max_value
    ScaleHeight = min_value - ScaleTop

    ' Plot the values.
    For i = LBound(values) To UBound(values)
        FillStyle = (i Mod 7) + 1
        Line (i - 1, 0)-(i, values(i)), , B
    Next i
End Sub

Private Sub Form_Load()
Const NUM_VALUES = 10

Dim i As Integer
Dim values(1 To NUM_VALUES) As Integer

    Randomize
    For i = 1 To NUM_VALUES
        values(i) = Int(100 * Rnd + 1)
    Next i
    
    PlotValues values
End Sub
