VERSION 4.00
Begin VB.Form SearchForm 
   Caption         =   "Search"
   ClientHeight    =   3615
   ClientLeft      =   1725
   ClientTop       =   1590
   ClientWidth     =   3465
   ForeColor       =   &H80000008&
   Height          =   4020
   Icon            =   "Bad8.frx":0000
   Left            =   1665
   LinkTopic       =   "Form1"
   ScaleHeight     =   3615
   ScaleWidth      =   3465
   Top             =   1245
   Width           =   3585
   Begin VB.CommandButton cmdSearch 
      Caption         =   "Search"
      Height          =   495
      Left            =   1920
      TabIndex        =   4
      Top             =   720
      Width           =   1215
   End
   Begin VB.TextBox txtTarget 
      Height          =   285
      Left            =   2520
      TabIndex        =   3
      Top             =   360
      Width           =   615
   End
   Begin VB.TextBox txtValues 
      BackColor       =   &H00C0C0C0&
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3375
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   240
      Width           =   1695
   End
   Begin VB.Label lblPosition 
      Height          =   255
      Left            =   2640
      TabIndex        =   6
      Top             =   1440
      Width           =   735
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Position"
      Height          =   195
      Index           =   2
      Left            =   1920
      TabIndex        =   5
      Top             =   1440
      Width           =   555
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Target"
      Height          =   195
      Index           =   1
      Left            =   1920
      TabIndex        =   2
      Top             =   360
      Width           =   465
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Values"
      Height          =   255
      Index           =   0
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1575
   End
End
Attribute VB_Name = "SearchForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' The list of values.
Private Const NUM_VALUES = 50
Private Values(1 To NUM_VALUES) As Variant

' Search for the target.
Private Sub CmdSearch_Click()
Dim position As Integer

    position = LinearSearch(Values, txtTarget.Text)
    If position < 1 Then
        lblPosition.Caption = "Not found"
    Else
        lblPosition.Caption = Format$(position)
    End If
End Sub
' Locate a target item using linear search. If the
' target is not found, return 1 less than the
' smallest array index.
Public Function LinearSearch(list() As Variant, target As Variant) As Integer
Dim i As Integer

    For i = LBound(list) To UBound(list)
        ' See if we found the target.
        If list(i) = target Then
            LinearSearch = i
            Exit Function
        End If

        ' If the values are too big, we passed
        ' where it should be so it's not here.
        If list(i) > target Then Exit For
    Next i

    ' We didn't find the target.
    LinearSearch = LBound(list) - 1
End Function

' Create some random data.
Private Sub InitializeData()
Dim i As Integer
Dim last_value As Integer ' The last value assigned.
Dim txt As String

    Randomize

    ' Initialize the random numbers with each
    ' value slightly bigger than the previous one.
    last_value = 10
    For i = 1 To NUM_VALUES
        Values(i) = last_value + Rnd + 0.01
        last_value = Values(i)
    Next i

    ' Display the values.
    For i = 1 To NUM_VALUES
        txt = txt & Format$(i, "@@") & ": " & _
            Format$(Values(i), "0.000") & vbCrLf
    Next i
    txtValues.Text = txt
End Sub

' Initialize the data.
Private Sub Form_Load()
    InitializeData
End Sub

