VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "RoutineInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' A class to hold information about a routine.
Option Explicit

Private RoutineName As String
Private VariableValues As New Collection

' Add a variable value string.
Public Sub SaveValue(ByVal variable_name As String, ByVal variable_value As String)
    VariableValues.Add variable_name & " = " & _
        variable_value
End Sub

' Save the routine's name.
Public Sub SaveName(ByVal routine_name As String)
    RoutineName = routine_name
End Sub

' Return a textual representation of the stack.
Public Function TextValue(ByVal num_spaces As Integer) As String
Dim result As String
Dim spaces As String
Dim variable_value As Variant

    ' Start with the routine's name.
    result = Space(num_spaces) & "> " & _
        RoutineName & vbCrLf

    ' Build a string listing the variable values.
    spaces = Space(num_spaces + 4)
    For Each variable_value In VariableValues
        result = result & spaces & _
            variable_value & vbCrLf
    Next variable_value

    TextValue = result
End Function
