VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "Stack"
   ClientHeight    =   4950
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   3015
   Height          =   5355
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4950
   ScaleWidth      =   3015
   Top             =   1170
   Width           =   3135
   Begin VB.Frame Frame1 
      Caption         =   "New Data"
      Height          =   1695
      Left            =   0
      TabIndex        =   5
      Top             =   0
      Width           =   3015
      Begin VB.CommandButton cmdPop 
         Cancel          =   -1  'True
         Caption         =   "Pop"
         Enabled         =   0   'False
         Height          =   495
         Left            =   1560
         TabIndex        =   3
         Top             =   1080
         Width           =   1215
      End
      Begin VB.CommandButton cmdPush 
         Caption         =   "Push"
         Default         =   -1  'True
         Height          =   495
         Left            =   240
         TabIndex        =   2
         Top             =   1080
         Width           =   1215
      End
      Begin VB.TextBox txtFirstName 
         Height          =   285
         Left            =   1080
         TabIndex        =   1
         Top             =   600
         Width           =   1815
      End
      Begin VB.TextBox txtLastName 
         Height          =   285
         Left            =   1080
         TabIndex        =   0
         Top             =   240
         Width           =   1815
      End
      Begin VB.Label Label1 
         Caption         =   "First Name"
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   7
         Top             =   600
         Width           =   855
      End
      Begin VB.Label Label1 
         Caption         =   "Last Name"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   6
         Top             =   240
         Width           =   855
      End
   End
   Begin VB.TextBox txtList 
      BackColor       =   &H00C0C0C0&
      Height          =   3135
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   4
      Top             =   1800
      Width           =   3015
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' The data for a person.
Private NumPeople As Integer
Private LastNames() As String
Private FirstNames() As String

' Display the people in the stack.
Private Sub DisplayList()
Dim i As Integer
Dim txt As String

    For i = 1 To NumPeople
        txt = LastNames(i) & ", " & _
            FirstNames(i) & _
            vbCrLf & txt
    Next i
    txtList.Text = txt
    
    ' The last name field is where the user will
    ' start editing the new data.
    txtLastName.SetFocus
End Sub

' Add an item to the stack.
Private Sub cmdPush_Click()
    ' Create space for the new person.
    ReDim Preserve LastNames(1 To NumPeople + 1)
    ReDim Preserve FirstNames(1 To NumPeople + 1)

    ' Save the new person's data.
    LastNames(NumPeople + 1) = txtLastName.Text
    FirstNames(NumPeople + 1) = txtFirstName.Text
    txtLastName.Text = ""
    txtFirstName.Text = ""

    ' Enable the Pop button.
    cmdPop.Enabled = True

    ' Update the number of people.
    NumPeople = NumPeople + 1

    ' Display the list.
    DisplayList
End Sub

' Remove the top item from the stack.
Private Sub cmdPop_Click()
    ' Display the person's values.
    txtLastName.Text = LastNames(NumPeople)
    txtFirstName.Text = FirstNames(NumPeople)

    ' Remove the last person.
    If NumPeople - 1 > 0 Then
        ReDim Preserve LastNames(1 To NumPeople - 1)
        ReDim Preserve FirstNames(1 To NumPeople - 1)
    Else
        Erase LastNames
        Erase FirstNames
    End If

    ' Enable this button only if there are
    ' people left.
    cmdPop.Enabled = (NumPeople - 1 > 0)

    ' Save the new number of people.
    NumPeople = NumPeople - 1

    ' Display the list.
    DisplayList
End Sub

