VERSION 4.00
Begin VB.Form MailErrorForm 
   Caption         =   "MailErrorForm"
   ClientHeight    =   1290
   ClientLeft      =   3675
   ClientTop       =   2220
   ClientWidth     =   2145
   Height          =   1695
   Left            =   3615
   LinkTopic       =   "Form1"
   ScaleHeight     =   1290
   ScaleWidth      =   2145
   Top             =   1875
   Width           =   2265
   Begin MSMAPI.MAPIMessages mpmErrorMail 
      Left            =   1080
      Top             =   360
      _Version        =   65536
      _ExtentX        =   741
      _ExtentY        =   741
      _StockProps     =   0
   End
   Begin MSMAPI.MAPISession mpsErrorMail 
      Left            =   360
      Top             =   360
      _Version        =   65536
      _ExtentX        =   741
      _ExtentY        =   741
      _StockProps     =   0
   End
End
Attribute VB_Name = "MailErrorForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False



Option Explicit

' Send mail to the bugs account.
Public Sub SendErrorMail(ByVal routine_name As String)
Dim txt1 As String
Dim txt2 As String

    ' Create the error message.
    txt1 = MakeErrorMessage(routine_name)

    On Error GoTo SendErrorMailError

    mpsErrorMail.UserName = "user@user_computer"
    mpsErrorMail.Password = "user_password"
    mpsErrorMail.SignOn
    
    mpmErrorMail.SessionID = mpsErrorMail.SessionID
    mpmErrorMail.Compose
    mpmErrorMail.RecipDisplayName = "Automatically Reported Bugs"
    mpmErrorMail.RecipAddress = "bugs@development_computer"
    mpmErrorMail.AddressResolveUI = False
    mpmErrorMail.MsgSubject = "Automatic Error Report"
    mpmErrorMail.MsgNoteText = txt1
    mpmErrorMail.Send False

    mpsErrorMail.SignOff
    
    ' Make sure this form is not loaded.
    Unload Me
    Exit Sub

SendErrorMailError:
    ' There was an error sending the mail.
    ' Just present the message.
    txt2 = MakeErrorMessage("SendErrorMail")
    MsgBox "Error mailing automatic error message." & _
        vbCrLf & _
        "Please record the following information " & _
        "and send it to the development team:" & _
        vbCrLf & vbCrLf & txt2 & _
        vbCrLf & vbCrLf & txt1

    ' Make sure this form is not loaded.
    Unload Me
    Exit Sub
End Sub
' Make an appropriate error message.
Public Function MakeErrorMessage(ByVal routine_name As String) As String
    MakeErrorMessage = _
        "Unexpected error " & _
        Format$(Err.Number) & _
        " in " & routine_name & "." & _
        vbCrLf & Err.Description
End Function

