VERSION 4.00
Begin VB.Form SearchForm 
   Caption         =   "Search"
   ClientHeight    =   3615
   ClientLeft      =   1725
   ClientTop       =   1590
   ClientWidth     =   3465
   ForeColor       =   &H80000008&
   Height          =   4020
   Icon            =   "Good5.frx":0000
   Left            =   1665
   LinkTopic       =   "Form1"
   ScaleHeight     =   3615
   ScaleWidth      =   3465
   Top             =   1245
   Width           =   3585
   Begin VB.OptionButton optSearchMethod 
      Caption         =   "Binary Search"
      Height          =   255
      Index           =   1
      Left            =   1680
      TabIndex        =   8
      Top             =   600
      Width           =   1695
   End
   Begin VB.OptionButton optSearchMethod 
      Caption         =   "Linear Search"
      Height          =   255
      Index           =   0
      Left            =   1680
      TabIndex        =   7
      Top             =   240
      Value           =   -1  'True
      Width           =   1695
   End
   Begin VB.CommandButton cmdSearch 
      Caption         =   "Search"
      Height          =   495
      Left            =   1920
      TabIndex        =   4
      Top             =   1320
      Width           =   1215
   End
   Begin VB.TextBox txtTarget 
      Height          =   285
      Left            =   2640
      TabIndex        =   3
      Top             =   960
      Width           =   495
   End
   Begin VB.TextBox txtValues 
      BackColor       =   &H00C0C0C0&
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3375
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   240
      Width           =   1575
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Searches"
      Height          =   195
      Index           =   3
      Left            =   1800
      TabIndex        =   10
      Top             =   2520
      Width           =   675
   End
   Begin VB.Label lblSearches 
      Height          =   255
      Left            =   2520
      TabIndex        =   9
      Top             =   2520
      Width           =   735
   End
   Begin VB.Label lblPosition 
      Height          =   255
      Left            =   2520
      TabIndex        =   6
      Top             =   2040
      Width           =   735
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Position"
      Height          =   195
      Index           =   2
      Left            =   1800
      TabIndex        =   5
      Top             =   2040
      Width           =   555
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Target"
      Height          =   195
      Index           =   1
      Left            =   1920
      TabIndex        =   2
      Top             =   960
      Width           =   465
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Values"
      Height          =   255
      Index           =   0
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1575
   End
End
Attribute VB_Name = "SearchForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' Enabled debugging tests.
#Const DEBUG_MODE = True

' Declare the list of values.
Const NUM_VALUES = 50
Private Values(1 To NUM_VALUES) As Integer
' Verify that the list is arranged in increasing order.
Private Sub ValidateList()
Dim i As Integer

    For i = LBound(Values) + 1 To UBound(Values)
        If Values(i - 1) >= Values(i) Then Stop
    Next i
End Sub
' Verify a search result.
Private Sub VerifyResult(target As Integer, index As Integer)
    If Values(index) <> target Then Stop
End Sub

' Search using the selected method.
Private Sub CmdSearch_Click()
Dim target As Integer
Dim position As Integer
Dim num_searches As Integer

    target = CInt(txtTarget.Text)
    
    If optSearchMethod(0).Value Then
        ' Linear search.
        position = LinearSearch(Values, _
            target, num_searches)
    ElseIf optSearchMethod(1).Value Then
        ' Binary search.
        position = BinarySearch(Values, _
            target, num_searches)
    Else
        ' This should never happen.
        Stop
    End If

    ' Display the results.
    If position = 0 Then
        lblPosition.Caption = "Not found"
    Else
        lblPosition.Caption = Format$(position)
    End If
    lblSearches.Caption = Format$(num_searches)

    ' If DEBUG_MODE is true, verify the result.
    #If DEBUG_MODE Then
        If position <> 0 Then _
            VerifyResult target, position
    #End If
End Sub

' Use binary search to find the target. For details
' of the algorithm, see Ready-to-Run Visual Basic
' Algorithms, ISBN 0-471-24268-3.
Public Function BinarySearch(list() As Integer, target As Integer, num_searches As Integer) As Integer
Dim min_index As Integer
Dim max_index As Integer
Dim mid_index As Integer

    min_index = LBound(list)
    max_index = UBound(list)
    Do While min_index <= max_index
        num_searches = num_searches + 1
        mid_index = (min_index + max_index) / 2
        If target = list(mid_index) Then
            BinarySearch = mid_index
            Exit Function
        ElseIf target < list(mid_index) Then
            max_index = mid_index - 1
        Else
            min_index = mid_index + 1
        End If
    Loop
    BinarySearch = LBound(list) - 1
End Function
' Use linear binary search to find the target.
Public Function LinearSearch(list() As Integer, target As Integer, num_searches As Integer) As Integer
Dim i As Integer

    For i = LBound(Values) To UBound(Values)
        num_searches = num_searches + 1
        If Values(i) = target Then Exit For
    Next i
    
    If i <= UBound(Values) Then
        LinearSearch = i
    Else
        LinearSearch = LBound(Values) - 1
    End If
End Function


' Randomly initialize some values.
Private Sub InitValues()
Const MIN_INCREMENT = 1
Const MAX_INCREMENT = 10
Dim i As Integer
Dim last_value As Integer
Dim txt As String

    ' Pick the random values.
    Randomize
    For i = LBound(Values) To UBound(Values)
        last_value = last_value + _
            Int((MAX_INCREMENT - MIN_INCREMENT + 1) * _
                Rnd + MIN_INCREMENT)
        Values(i) = last_value
    Next i
    
    ' Display the values.
    For i = LBound(Values) To UBound(Values)
        txt = txt & Format$(i, "@@") & _
            Format$(Values(i), "@@@@") & vbCrLf
    Next i
    txtValues.Text = txt
End Sub

' Randomly initialize some values.
Private Sub Form_Load()
    InitValues
    
    ' Validate the data.
    ValidateList
End Sub

