VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "Rich Text"
   ClientHeight    =   4095
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   7575
   Height          =   4500
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4095
   ScaleWidth      =   7575
   Top             =   1170
   Width           =   7695
   Begin VB.Frame Frame2 
      Caption         =   "Font"
      Height          =   1335
      Left            =   4200
      TabIndex        =   7
      Top             =   2760
      Width           =   3375
      Begin VB.CheckBox chkFontOption 
         Caption         =   "Strikethrough"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   10
         Top             =   960
         Width           =   2055
      End
      Begin VB.CheckBox chkFontOption 
         Caption         =   "Italic"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   9
         Top             =   600
         Width           =   2055
      End
      Begin VB.CheckBox chkFontOption 
         Caption         =   "Underline"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   8
         Top             =   240
         Width           =   2055
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Command"
      Height          =   2655
      Left            =   4200
      TabIndex        =   0
      Top             =   0
      Width           =   3375
      Begin VB.TextBox txtSkip 
         Height          =   285
         Left            =   1800
         TabIndex        =   14
         Text            =   "-1"
         Top             =   600
         Width           =   1455
      End
      Begin VB.OptionButton optCommand 
         Caption         =   "Unbold selection"
         Height          =   255
         Index           =   3
         Left            =   240
         TabIndex        =   13
         Top             =   1320
         Width           =   1575
      End
      Begin VB.OptionButton optCommand 
         Caption         =   "Color Selection"
         Height          =   255
         Index           =   4
         Left            =   240
         TabIndex        =   12
         Top             =   1680
         Width           =   1455
      End
      Begin VB.CommandButton cmdApply 
         Caption         =   "Apply"
         Height          =   495
         Left            =   1080
         TabIndex        =   11
         Top             =   2040
         Width           =   1215
      End
      Begin VB.OptionButton optCommand 
         Caption         =   "Bold selection"
         Height          =   255
         Index           =   2
         Left            =   240
         TabIndex        =   6
         Top             =   960
         Width           =   1455
      End
      Begin VB.ComboBox cboSelColor 
         Height          =   315
         ItemData        =   "Bad9.frx":0000
         Left            =   1800
         List            =   "Bad9.frx":0010
         Style           =   2  'Dropdown List
         TabIndex        =   4
         Top             =   1650
         Width           =   1455
      End
      Begin VB.OptionButton optCommand 
         Caption         =   "Find Relative"
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   3
         Top             =   600
         Width           =   1335
      End
      Begin VB.TextBox txtFindText 
         Height          =   285
         Left            =   1800
         TabIndex        =   2
         Text            =   "development"
         Top             =   240
         Width           =   1455
      End
      Begin VB.OptionButton optCommand 
         Caption         =   "Find"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   1
         Top             =   240
         Value           =   -1  'True
         Width           =   1335
      End
   End
   Begin RichTextLib.RichTextBox rchMainText 
      Height          =   4095
      Left            =   0
      TabIndex        =   5
      Top             =   0
      Width           =   4095
      _ExtentX        =   7223
      _ExtentY        =   7223
      _Version        =   327681
      TextRTF         =   $"Bad9.frx":002D
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Const cmd_FIND = 0
Private Const cmd_FIND_RELATIVE = 1
Private Const cmd_BOLD = 2
Private Const cmd_UNBOLD = 3
Private Const cmd_COLOR = 4

Private Const chk_UNDERLINE = 0
Private Const chk_ITALIC = 1
Private Const chk_STRIKETHROUGH = 2

Private SettingValues As Boolean
' Color the selected text.
Private Sub ColorSelection(color As String)
    Select Case color
        Case "Red"
            rchMainText.SelColor = vbRed
        Case "Green"
            rchMainText.SelColor = vbGreen
        Case "Blue"
            rchMainText.SelColor = vbBlue
        Case "Black"
            rchMainText.SelColor = vbBlack
        Case "Bold"
            rchMainText.SelBold = True
    End Select
End Sub

' Find and select the indicated text.
Private Sub FindText()
Dim txt As String
Dim pos As Integer

    txt = rchMainText.Text
    pos = InStr(txt, txtFindText.Text)
    If pos = 0 Then
        Beep
    Else
        rchMainText.SelStart = pos - 1
        rchMainText.SelLength = Len(txtFindText.Text)
    End If
End Sub
' Find and select the indicated text skipping the
' indicated number of copies.
Private Sub FindTextRelative()
Dim txt As String
Dim target As String
Dim targetlen As Integer
Dim pos As Integer
Dim skip As Integer
Dim trials As Integer

    txt = rchMainText.Text
    target = txtFindText.Text
    skip = CInt(txtSkip.Text)
    
    ' If skip >= 0, search forward from here.
    If skip >= 0 Then
        pos = rchMainText.SelStart + 1
        For trials = 0 To skip
            pos = InStr(pos + 1, txt, target)
            If pos = 0 Then Exit For
        Next trials
        If pos = 0 Then
            Beep
        Else
            rchMainText.SelStart = pos - 1
            rchMainText.SelLength = Len(txtFindText.Text)
        End If
    Else
        ' Skip < 0. Search backwards.
        targetlen = Len(target)
        trials = 0
        skip = -skip
        For pos = rchMainText.SelStart To 1 Step -1
            If Mid$(txt, pos, targetlen) = target Then
                trials = trials + 1
                If trials >= skip Then Exit For
            End If
        Next pos
    
        If pos <= 0 Then
            ' We didn't find it.
            Beep
        Else
            rchMainText.SelStart = pos - 1
            rchMainText.SelLength = targetlen
        End If
    End If
End Sub

' Switch the value of the font's property.
Private Sub chkFontOption_Click(Index As Integer)
Dim value As Integer

    ' Ignore the event if the program is making the change.
    If SettingValues Then Exit Sub

    value = (chkFontOption(Index).value = vbChecked)
    Select Case Index
        Case chk_UNDERLINE
            rchMainText.SelUnderline = value
        Case chk_ITALIC
            rchMainText.SelItalic = value
        Case chk_STRIKETHROUGH
            rchMainText.SelStrikeThru = value
    End Select
    
    rchMainText.SetFocus
End Sub

' Apply the selected command.
Private Sub cmdApply_Click()
    If optCommand(cmd_FIND) Then
        ' Find and select the indicated text.
        FindText
    ElseIf optCommand(cmd_FIND_RELATIVE) Then
        ' Find and select the indicated text.
        FindTextRelative
    ElseIf optCommand(cmd_BOLD) Then
        ' Color the selection bold.
        ColorSelection "Bold"
    ElseIf optCommand(cmd_UNBOLD) Then
        ' Unbold the selection.
        rchMainText.SelBold = False
    ElseIf optCommand(cmd_COLOR) Then
        ' Color the selection.
        ColorSelection cboSelColor.Text
    End If
    
    rchMainText.SetFocus
End Sub

' Update the check boxes.
Private Sub rchMainText_SelChange()
    ' Do not trigger a click event.
    SettingValues = True

    ' Check the SelUnderline property.
    Select Case rchMainText.SelUnderline
        Case True
            chkFontOption(chk_UNDERLINE).value = vbChecked
        Case False
            chkFontOption(chk_UNDERLINE).value = vbUnchecked
        Case Else ' More than one value.
            chkFontOption(chk_UNDERLINE).value = vbGrayed
    End Select
    
    ' Check the SelItalic property.
    Select Case rchMainText.SelItalic
        Case True
            chkFontOption(chk_ITALIC).value = vbChecked
        Case False
            chkFontOption(chk_ITALIC).value = vbUnchecked
        Case Else ' More than one value.
            chkFontOption(chk_ITALIC).value = vbGrayed
    End Select
    
    ' Check the SelStrikeThru property.
    Select Case rchMainText.SelStrikeThru
        Case True
            chkFontOption(chk_STRIKETHROUGH).value = vbChecked
        Case False
            chkFontOption(chk_STRIKETHROUGH).value = vbUnchecked
        Case Else ' More than one value.
            chkFontOption(chk_STRIKETHROUGH).value = vbGrayed
    End Select

    SettingValues = False
End Sub

