VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "Rich Text"
   ClientHeight    =   3510
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6990
   Height          =   3915
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   3510
   ScaleWidth      =   6990
   Top             =   1170
   Width           =   7110
   Begin VB.Frame Frame2 
      Caption         =   "Font"
      Height          =   2175
      Left            =   4200
      TabIndex        =   3
      Top             =   1320
      Width           =   2775
      Begin VB.CheckBox chkFontOption 
         Caption         =   "Bold"
         Height          =   255
         Index           =   3
         Left            =   120
         TabIndex        =   9
         Top             =   1800
         Width           =   2055
      End
      Begin VB.ComboBox cboSelColor 
         Height          =   315
         ItemData        =   "Good9.frx":0000
         Left            =   120
         List            =   "Good9.frx":0010
         Style           =   2  'Dropdown List
         TabIndex        =   8
         Top             =   240
         Width           =   1455
      End
      Begin VB.CheckBox chkFontOption 
         Caption         =   "Strikethrough"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   6
         Top             =   1440
         Width           =   2055
      End
      Begin VB.CheckBox chkFontOption 
         Caption         =   "Italic"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   5
         Top             =   1080
         Width           =   2055
      End
      Begin VB.CheckBox chkFontOption 
         Caption         =   "Underline"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   4
         Top             =   720
         Width           =   2055
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Search"
      Height          =   1215
      Left            =   4200
      TabIndex        =   0
      Top             =   0
      Width           =   2775
      Begin VB.CommandButton cmdFindNext 
         Caption         =   "Find Next"
         Height          =   495
         Left            =   1440
         TabIndex        =   11
         Top             =   600
         Width           =   1215
      End
      Begin VB.CommandButton cmdFind 
         Caption         =   "Find"
         Height          =   495
         Left            =   120
         TabIndex        =   7
         Top             =   600
         Width           =   1215
      End
      Begin VB.TextBox txtFindText 
         Height          =   285
         Left            =   600
         TabIndex        =   1
         Text            =   "development"
         Top             =   240
         Width           =   2055
      End
      Begin VB.Label Label1 
         Caption         =   "Text:"
         Height          =   255
         Left            =   120
         TabIndex        =   10
         Top             =   240
         Width           =   375
      End
   End
   Begin RichTextLib.RichTextBox rchMainText 
      Height          =   3495
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   4095
      _ExtentX        =   7223
      _ExtentY        =   6165
      _Version        =   327681
      Enabled         =   -1  'True
      TextRTF         =   $"Good9.frx":002D
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Const chk_UNDERLINE = 0
Private Const chk_ITALIC = 1
Private Const chk_STRIKETHROUGH = 2
Private Const chk_BOLD = 3

Private SettingValues As Boolean

' Display the color of the selected text.
Private Sub CheckColor()
    Select Case rchMainText.SelColor
        Case vbRed
            cboSelColor.Text = "Red"
        Case vbGreen
            cboSelColor.Text = "Green"
        Case vbBlue
            cboSelColor.Text = "Blue"
        Case vbBlack
            cboSelColor.Text = "Black"
        Case Else ' More than one color.
            ' Select nothing.
            cboSelColor.ListIndex = -1
    End Select
End Sub

' Set an option's checked value based on a text
' property value.
Private Sub CheckProperty(property_value As Variant, chk As CheckBox)
    Select Case property_value
        Case True
            chk.Value = vbChecked
        Case False
            chk.Value = vbUnchecked
        Case Else ' More than one value.
            chk.Value = vbGrayed
    End Select
End Sub

' Find and select the indicated text.
Private Sub FindText(start_pos As Integer)
Dim txt As String
Dim pos As Integer

    txt = rchMainText.Text
    pos = InStr(start_pos, txt, txtFindText.Text)
    If pos = 0 Then
        Beep
    Else
        rchMainText.SelStart = pos - 1
        rchMainText.SelLength = Len(txtFindText.Text)
    End If
    rchMainText.SetFocus
End Sub

' Set the selected text's color.
Private Sub cboSelColor_Click()
    If SettingValues Then Exit Sub
    
    Select Case cboSelColor.Text
        Case "Red"
            rchMainText.SelColor = vbRed
        Case "Green"
            rchMainText.SelColor = vbGreen
        Case "Blue"
            rchMainText.SelColor = vbBlue
        Case "Black"
            rchMainText.SelColor = vbBlack
        Case Else
            ' This should never happen.
            Stop
    End Select
    rchMainText.SetFocus
End Sub

' Switch the value of the font's property.
Private Sub chkFontOption_Click(Index As Integer)
Dim property_value As Integer

    ' Ignore the event if we are doing it.
    If SettingValues Then Exit Sub

    property_value = (chkFontOption(Index).Value = vbChecked)
    Select Case Index
        Case chk_UNDERLINE
            rchMainText.SelUnderline = property_value
        Case chk_ITALIC
            rchMainText.SelItalic = property_value
        Case chk_STRIKETHROUGH
            rchMainText.SelStrikeThru = property_value
        Case chk_BOLD
            rchMainText.SelBold = property_value
        Case Else
            ' This should never happen.
            Stop
    End Select

    rchMainText.SetFocus
End Sub

' Find and select the indicated text starting from
' the beginning of the text.
Private Sub cmdFind_Click()
    FindText 1
End Sub

' Find and select the indicated text starting from
' the selected position + 1.
Private Sub cmdFindNext_Click()
    FindText rchMainText.SelStart + 2
End Sub

' Update the check boxes.
Private Sub rchMainText_SelChange()
    ' Do not trigger a click event.
    SettingValues = True

    ' Check the correct text style check boxes.
    CheckProperty rchMainText.SelUnderline, chkFontOption(chk_UNDERLINE)
    CheckProperty rchMainText.SelItalic, chkFontOption(chk_ITALIC)
    CheckProperty rchMainText.SelStrikeThru, chkFontOption(chk_STRIKETHROUGH)
    CheckProperty rchMainText.SelBold, chkFontOption(chk_BOLD)

    ' Display the correct color.
    CheckColor

    SettingValues = False
End Sub
